## node-bluebird 3.5.1%2Bdfsg2

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.*\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-bluebird-$1.tar.gz/,\
repacksuffix=+dfsg1 \
https://github.com/petkaantonov/bluebird/tags .*/archive/v?([\d\.]+).tar.gz
