## node-bluebird 3.5.1+dfsg2

=== debian/changelog ===
node-bluebird (3.5.1+dfsg2-2build1) disco; urgency=medium

  * Rebuild against new acorn with unicode11.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Feb 2019 10:34:56 +0100

node-bluebird (3.5.1+dfsg2-2) unstable; urgency=medium

  [ Hubert Chathi ]
  * Update location of acorn's walk to the new location for Acorn 5
    (Closes: #897545)

  [ Ross Gammon ]
  * Move repository from Alioth to Salsa
  * Use https: in upstream URL in debian/copyright
  * Fix spelling error in fix_root_dir.patch

 -- Ross Gammon <rossgammon@debian.org>  Sun, 06 May 2018 12:05:28 +0200

node-bluebird (3.5.1+dfsg2-1) unstable; urgency=low

  * Initial release (Closes: #779305)

 -- Ross Gammon <rossgammon@debian.org>  Sun, 15 Oct 2017 15:30:13 +0200
