=== debian/control ===
Source: node-bluebird
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ross Gammon <rossgammon@debian.org>,
 Hubert Chathi <uhoreg@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-buildinfo,
               nodejs (>= 6.11~),
               node-uglify,
               mocha,
               node-cross-spawn,
               node-cli-table,
               node-rimraf,
               node-optimist,
               node-acorn (>= 5.5),
               node-body-parser,
               node-co,
               node-glob,
               node-mkdirp,
               node-rx,
               node-serve-static,
               node-sinon
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/js-team/node-bluebird
Vcs-Git: https://salsa.debian.org/js-team/node-bluebird.git
Homepage: https://github.com/petkaantonov/bluebird

Package: node-bluebird
Architecture: all
Depends: ${misc:Depends},
         nodejs
Description: Fully featured Promises/A+ implementation for Node.js
 Bluebird is a fully featured Promise library with a focus on
 innovative features and performance.
 .
 This package contains the bluebird module for Node.js.
 .
 Node.js is an event-based server-side JavaScript engine.
