## node-bluebird 3.5.3+dfsg1

=== debian/changelog ===
node-bluebird (3.5.3+dfsg1-1) unstable; urgency=medium

  * Team upload

  [ Jérémy Lal ]
  * New upstream version 3.5.3+dfsg1
  * Honor nocheck
  * nodejs -> node, and --expose-gc for async

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Use pkg-js-tools auto test & install
  * Enable full autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Fri, 10 Jan 2020 06:09:49 +0100
