=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Uploaders: Ross Gammon <rossgammon@debian.org>,
  Hubert Chathi <uhoreg@debian.org>
 Section: javascript
+Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-buildinfo,
-               nodejs (>= 6.11~),
+Build-Depends: debhelper-compat (= 12),
                node-uglify,
                mocha,
                node-cross-spawn,
@@ -20,11 +19,13 @@
                node-mkdirp,
                node-rx,
                node-serve-static,
-               node-sinon
-Standards-Version: 4.1.1
+               node-sinon,
+               pkg-js-tools (>= 0.9.20~)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-bluebird
 Vcs-Git: https://salsa.debian.org/js-team/node-bluebird.git
 Homepage: https://github.com/petkaantonov/bluebird
+Rules-Requires-Root: no
 
 Package: node-bluebird
 Architecture: all
