## node-bluebird 3.7.2+dfsg1

=== debian/control ===
Source: node-bluebird
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Hubert Chathi <uhoreg@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               uglifyjs,
               mocha,
               node-cli-table,
               node-rimraf,
               node-optimist,
               node-acorn (>= 6),
               node-body-parser,
               node-co,
               node-glob,
               node-mkdirp (>= 1),
               node-rx,
               node-serve-static,
               node-sinon,
               dh-sequence-nodejs
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-bluebird
Vcs-Git: https://salsa.debian.org/js-team/node-bluebird.git
Homepage: https://github.com/petkaantonov/bluebird
Rules-Requires-Root: no

Package: node-bluebird
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Fully featured Promises/A+ implementation for Node.js
 Bluebird is a fully featured Promise library with a focus on
 innovative features and performance.
 .
 This package contains the bluebird module for Node.js.
 .
 Node.js is an event-based server-side JavaScript engine.
