=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs changelog.md

override_dh_auto_build:
	# Bluebird depends on itself to build. Therefore we need to copy a
	# prebuilt version of Bluebird into place to bootstrap things in
	# Debian.
	cp -r $(CURDIR)/debian/node-modules/ $(CURDIR)/node_modules/
	node tools/build.js --release --no-minify
	rm -r $(CURDIR)/node_modules/
