=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-bluebird-$1.tar.gz/,\
repacksuffix=+dfsg1 \
https://github.com/petkaantonov/bluebird/tags .*/archive/v?([\d\.]+).tar.gz
