## node-bluebird 3.7.2+dfsg1+~3.5.36

=== debian/control ===
Source: node-bluebird
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha
 , node-acorn (>= 6)
 , node-bluebird
 , node-body-parser
 , node-cli-table
 , node-co
 , node-glob
 , node-mkdirp (>= 1)
 , node-optimist
 , node-rimraf
 , node-rx
 , node-serve-static
 , node-sinon
 , uglifyjs
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/js-team/node-bluebird
Vcs-Git: https://salsa.debian.org/js-team/node-bluebird.git
Homepage: https://github.com/petkaantonov/bluebird
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-bluebird
Architecture: all
Depends: ${misc:Depends}
Provides: ${nodejs:Provides}
Multi-Arch: foreign
Description: Fully featured Promises/A+ implementation for Node.js
 Bluebird is a fully featured Promise library with a focus on
 innovative features and performance.
 .
 This package contains the bluebird module for Node.js.
 .
 Node.js is an event-based server-side JavaScript engine.
